//********************************************************************
PROGRAM GUIMain;
//********************************************************************
USES
  SysUtils,
  GraphicSupport,
  GUIBase,
  GUIItem,
  GUIDescendants;
//********************************************************************
VAR
   MyGUIManager: TGUIManager;
   Shape1: TGUIShape;
   ShiftScale1,ShiftScale2: TGUIShiftScale;
//********************************************************************
// Requirement: InitGraphicSupport was called before
Procedure CreateGUIElements;
Begin
   ShiftScale1:= TGUIShiftScale.Create('ShiftScale1',MyGUIManager);
   With ShiftScale1 Do Begin
      Left:= 100; Top:= 100; Right:= 400; Bottom:= 300;
   End;

   Shape1:= TGUIShape.Create('Shape1',ShiftScale1,stEllipse);
   With Shape1 Do Begin
      Left:= 150; Top:= 150; Right:= 200; Bottom:= 200;
      FGColorName:= 'SolidGreen';
   End;

   ShiftScale2:= TGUIShiftScale.Create('ShiftScale2',MyGUIManager);
   With ShiftScale2 Do Begin
      Left:= 250; Top:= 250; Right:= 450; Bottom:= 400;
   End;
End;
//********************************************************************
// MAINPROGRAM
Begin
   MyGUIManager:= TGUIManager.Create('GUIManager', Nil);
   With MyGUIManager Do If InitGraphicSupport Then Begin
      CreateGUIElements;
      While Not GUIQuit Do Begin
         CatchEvent;
         BeforeDraw; // Clear BackGround
         If Visible Then Draw;
         AfterDraw;  // Swap Buffers
         //Sleep(60);
      End;
   End;
   MyGUIManager.Free;
End.
//********************************************************************

